<?php

namespace App\v2\Modules\Especies\Models;

use App\v2\Utils\Model;

class EspecieModel extends Model
{
    public $especieId = 0;
    public $nome = '';

    public static function builder(): EspecieModel
    {
       return new EspecieModel();
    }

    /**
     * @return int
     */
    public function getEspecieId(): int
    {
        return $this->especieId;
    }

    /**
     * @param int $especieId
     * @return EspecieModel
     */
    public function setEspecieId(int $especieId): EspecieModel
    {
        $this->especieId = $especieId;
        return $this;
    }

    /**
     * @return string
     */
    public function getNome(): string
    {
        return $this->nome;
    }

    /**
     * @param string $nome
     * @return EspecieModel
     */
    public function setNome(string $nome): EspecieModel
    {
        $this->nome = $nome;
        return $this;
    }
}
